#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT
    
public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

public slots:
	void openMesh(const QString &filename);
private slots:
    void openMesh();
	void quit();
    void about();
    void aboutQt();
    void updateGCode();
    void startPrinting();
    void updateWorkProgress(int);
    void updateETA(double);
	void aboutToClose();
	void estimatePrintDuration();

protected:
    virtual void closeEvent(QCloseEvent *);

private:
    Ui::MainWindow *ui;
};

#endif // MAINWINDOW_H
